Get MCP Listing
Retrieve a single MCP listing by its UUID.
Authorization
OAuth2AuthorizationCodeBearer AuthorizationBearer <token>
In: header
Path Parameters
listing_id*Listing Id
Format
uuidQuery Parameters
verify_locally?Verify Locally
Default
trueResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/mcp/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "namespace": "string", "visibility": "public", "org_id": "a40f5d1f-d889-42e9-94ea-b9b33585fc6b", "title": "string", "short_description": "string", "status": "string", "source_url": "string", "homepage_url": "string", "license": "string", "icon_url": "string", "icon_bg_color": "string", "icon_text_color": "string", "provider_name": "string", "transport": "string", "pricing": "string", "dpa_available": false, "github_stars": 0, "install_count": 0, "avg_rating": 0, "review_count": 0, "featured": false, "has_app_ui": false, "published_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "category": { "id": 0, "name": "string", "slug": "string", "description": "string", "icon": "string", "mcp_count": 0 }, "owner": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "username": "string", "display_name": "string", "avatar_url": "string" }, "tags": [], "versions": [], "health_metrics": { "avg_response_time_ms": 0, "uptime_percent": 0, "is_online": true, "last_checked_at": "2019-08-24T14:15:22Z" }, "readme_content": "string", "screenshots": [ null ], "use_cases": [ null ], "documentation_url": "string", "support_url": "string", "is_verified_publisher": false, "claim_status": "claimed", "claimed_via": "string", "trust_tier": "string", "maturity_level": "string", "hosting_type": "string", "host_name": "string", "auth_mode": "string", "preferred_auth_type": "string", "mcp_endpoint_url": "string", "pooled": false, "dpa_url": "string", "oauth_client_id": "string", "oauth_auth_url": "string", "oauth_token_url": "string", "oauth_default_scope": "string"}{ "detail": "string", "code": "string"}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string" } ]}